Statement Preference Change API

This API is used to update the statement delivery mode as per customer's preference for requests received through various channels such as online banking or mobile banking. The Credit+ Issuing system receives, validates and processes the request. If the request is successful, preferred statement option is updated, system logs the “Statement Option Request” (Service Code: 244) service request (SR) and sends the service request details in the response message. Further, the “Statement Preference flag” is also accordingly updated at the client level. If the request fails, the system returns the corresponding error code in the response and the SR is not logged.

Validations for Statement Preference Flag:

  • If 'E' is selected, then the system will checks whether the email id is populated or not. If it is not populated, then the request is rejected with the following response message: - 'Request is rejected as email id is not updated'.

  • If 'H' is selected, then the system will checks whether the mailing address is populated or not. If it is not populated, then the request is rejected with the following response message: - 'Request is rejected as preference mail address is not updated'.

  • If 'B' is selected, then the system checks if the preference address and email ids are populated or not. If it is not populated, then the request should be is rejected with the following response message: - 'Request is rejected as preference mail address and email id are not updated'.

HTTP Status and Response Status Matrix

  • HTTP Code: This is the response status code issued by a server in response to a client's request made to the server.
  • Error Code: This is the error code returned by Credit+ Issuing application in the ‘code’ field of the response message indicating if the request was processed successfully or failed.
  • Reason: This is the description of the error code returned by Credit+ Issuing application.
HTTP CodeError CodeReason
201STMT000Successful
400997Invalid Form Factor Type.
400997Form Factor Type field is mandatory.
400997Form Factor field is mandatory.
400997Form Factor field value must have max length 24.
400997Stmt Preference field is mandatory
400997Stmt Preference field is invalid.
400997Priority Request field is invalid.
400997Note field is mandatory.
400997Note field value must have max length 40.
400STMT001Invalid Device (FORM_FACTOR_TYPE = 'CRD')
500STMT002Error while fetching details from device (FORM_FACTOR_TYPE = 'CRD')
400STMT003Invalid Wallet. (FORM_FACTOR_TYPE = 'ACT')
500STMT004Error while fetching details from wallet (FORM_FACTOR_TYPE = 'ACT')
400STMT005Invalid Client code (FORM_FACTOR_TYPE = 'CLI')
500STMT006Error while fetching details from client (FORM_FACTOR_TYPE = 'CLI')
400STMT007Invalid Form factor type
400STMT010Request is rejected as current statement preference is same as requested
400STMT008Request is rejected as email id is not updated
400STMT011Request is rejected as preference mail address is not updated
500STMT006Error while executing Statement preference change API
400HDE050Institution code is mandatory
400HDE051Device number is mandatory
400HDE052Service code is mandatory.
500HDE053Error in fetching data from service_code_mst.
500HDE004Error in updating client details
400HDE054Active request Already exist
400HDE523This Service Request is not allowed for Addon device
400HDE524This Service Request is not allowed for closed device
500HDE053Error in fetching data from service_code_mst
400SERVIC001Service request is not applicable to product type.
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Body Params
string
enum

Denotes whether the request is to be taken on priority or not. Valid values: 0 (No priority), 1 (Priority request).

Allowed:
string
required
length ≤ 40

Any free text that requestor may want to send for logging purpose. Maximum length: 40.

string
enum
required

Identifies whether the formFactor value is a card number, wallet number, or client ID. Valid values: CRD (Card Number), ACT (Wallet Number), CLI (Client ID). Not NULL. Maximum length: 3.

Allowed:
string
required
length ≤ 24

Value depends on formFactorType. If CRD, it is the card number; if ACT, it is the wallet number; if CLI, it is the client code. Maximum length: 24.

string
enum
required

Indicates the statement mode in which it will be delivered. Valid values: H (Hard Copy), E (E-mail), B (Both).

Allowed:
string
length ≤ 10

Accessing channel. Maximum length: 10.

Headers
string
^[a-zA-Z0-9-]{1,50}$

API Consumer must share Correlation-ID in HTTP header for API requests. The Correlation-ID must be unique for each request. It is recommended to generate a universally unique identifier (UUID) of length 32 or 36 that is compliant with RFC 4122. The maximum supported length is 50 alphanumeric characters. For example, ac97d177-9345-4934-8343-0f91a7a02836. If the Correlation-ID is not received in the incoming request, the system generates the UUID dynamically and assigns it to the request.

string

API Consumer can share Source in HTTP header for API requests. For the list of Source values, see the Pre-conditions for HTTP Header of REST API topic in the Pre-requisite for Rest API section.

Response

Language
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json